cURL
curl --request GET \
--url https://api.pelanor.io/v2/schema/attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pelanor.io/v2/schema/attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pelanor.io/v2/schema/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"properties": [
{
"id": "<string>",
"name": "<string>",
"isAvailable": true
}
],
"metrics": [
{
"id": "<string>",
"name": "<string>",
"isAvailable": true
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}API Overview
List Attributes
GET
/
v2
/
schema
/
attributes
cURL
This endpoint provides a list of all properties and metrics supported in Pelanor, along with their descriptions.
Examples of relevant endpoints:
Types of Attributes
-
Properties
Metadata collected by Pelanor from billing data exports, service integrations, and agents.
Examples:Region,CloudServiceProvider,Instance Type. -
Metrics
Analytics collected from various integrations, including Custom Metrics.
Descriptions are currently available only for Properties.
Usage
When building requests to endpoints that acceptfilters or properties, use the id of the property or metric as returned from this endpoint.Examples of relevant endpoints:
Custom Dimensions and Tags are also considered properties.
They are designated with a special prefix, for example:
They are designated with a special prefix, for example:
Dimension:some-dimension